- NAME
- SYNOPSIS
- DESCRIPTION
- COPYRIGHT
- VERSION

# NAME

GT::MIMETypes - Methods to guess MIME Types of files.

# SYNOPSIS

        use GT::MIMETypes;

        my $file = '/foo/bar/abc.doc';
        my $mime = GT::MIMETypes::guess_type($file);
        my $img  = GT::MIMETypes::guess_image($file);

# DESCRIPTION

GT::MIMETypes provides two simple methods `guess_type` and `guess_image`. They take either a filename or a hash reference.

`guess_type` returns the MIME type of the file, and guess_image returns an image name that represents the file.

# COPYRIGHT

Copyright (c) 2004 Gossamer Threads Inc. All Rights Reserved. http://www.gossamer-threads.com/

# VERSION

Revision: $Id: MIMETypes.pm,v 1.27 2009/02/18 19:17:17 brewt Exp $